Projects reference

Projects endpoint authentication, parameters, request and response contracts.

Last updated:

On this pageGET /api/projectsPOST /api/projectsGET /api/projects/{pid}PATCH /api/projects/{pid}DELETE /api/projects/{pid}GET /api/projects/{pid}/uyelerPUT /api/projects/{pid}/uyeler/{uid}DELETE /api/projects/{pid}/uyeler/{uid}POST /api/projects/{pid}/saha-paketleriGET /api/projects/{pid}/saha-paketleriGET /api/projects/{pid}/saha-paketleri/{sid}PATCH /api/projects/{pid}/saha-paketleri/{sid}GET /api/projects/{pid}/saha-paketleri/{sid}/veriGET /api/projects/{pid}/saha-paketleri/{sid}/kartlarGET /api/projects/{pid}/saha-paketleri/{sid}/ekler-kucukPOST /api/projects/{pid}/saha-paketleri/{sid}/alimPOST /api/projects/{pid}/tasarimlarGET /api/projects/{pid}/tasarimlarGET /api/projects/{pid}/tasarimlar/{tid}GET /api/projects/{pid}/tasarimlar/{tid}/farkPOST /api/projects/{pid}/tasarimlar/{tid}/dogrulaPATCH /api/projects/{pid}/tasarimlar/{tid}/cozumPOST /api/projects/{pid}/tasarimlar/{tid}/durumPOST /api/projects/{pid}/tasarimlar/{tid}/yayinlaPOST /api/projects/{pid}/is-paketleriGET /api/projects/{pid}/is-paketleriGET /api/projects/{pid}/is-paketleri/{wid}PATCH /api/projects/{pid}/is-paketleri/{wid}POST /api/projects/{pid}/is-paketleri/{wid}/asbuilt

Paths, methods, parameters and available schemas are generated from the OpenAPI document in the repository.

Note: These endpoints form the browser application contract and do not provide the same versioning assurance as v1. Use the versioned API for external integrations.

GET /api/projects

List projects

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
orgqueryinteger | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects

Create project

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Request body

application/json

FieldTypeRequiredDescription
org_idinteger | nullNo
namestring | nullNo
descriptionstring | nullNo
settingsobject | nullNo
archivedboolean | nullNo
erisimstring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}

Get project

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PATCH /api/projects/{pid}

Update project

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
org_idinteger | nullNo
namestring | nullNo
descriptionstring | nullNo
settingsobject | nullNo
archivedboolean | nullNo
erisimstring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

DELETE /api/projects/{pid}

Delete project

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/uyeler

Get project members

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PUT /api/projects/{pid}/uyeler/{uid}

Set project membership

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
uidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
rolobjectNo
modullerobjectNo
bolge_idsobjectNo
versionobjectNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

DELETE /api/projects/{pid}/uyeler/{uid}

Delete project membership

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
uidpathintegerYes

Responses

HTTP 204

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/saha-paketleri

Create field package

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Request body

application/json

Type: object.

{
  "type": "object",
  "additionalProperties": true,
  "title": "Body"
}

Responses

HTTP 201

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/saha-paketleri

List field packages

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
durumquerystring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/saha-paketleri/{sid}

Get field package detail

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PATCH /api/projects/{pid}/saha-paketleri/{sid}

Update field package

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes

Request body

application/json

Type: object.

{
  "type": "object",
  "additionalProperties": true,
  "title": "Body"
}

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/saha-paketleri/{sid}/veri

Get field package data

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/saha-paketleri/{sid}/kartlar

Get field package records

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes
afterquerystring | nullNo
limitqueryintegerNo
idsquerystring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/saha-paketleri/{sid}/ekler-kucuk

Get field attachment thumbnails

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes
afterquerystring | nullNo
limitqueryintegerNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/saha-paketleri/{sid}/alim

Receive field package changes

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
sidpathintegerYes

Request body

application/json

Type: object.

{
  "type": "object",
  "additionalProperties": true,
  "title": "Body"
}

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/tasarimlar

Create design branch

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
adobjectNo
aciklamaobjectNo
request_idobjectNo

Responses

HTTP 201

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/tasarimlar

List design branches

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
durumquerystring | nullNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/tasarimlar/{tid}

Get design branch detail

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/tasarimlar/{tid}/fark

Compare design branch changes

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes
afterquerystring | nullNo
limitqueryintegerNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/tasarimlar/{tid}/dogrula

Validate design branch

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PATCH /api/projects/{pid}/tasarimlar/{tid}/cozum

Resolve design branch conflicts

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
cozumlerobjectNo
versionobjectNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/tasarimlar/{tid}/durum

Update design branch status

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
eylemobjectNo
notuobjectNo
versionobjectNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/tasarimlar/{tid}/yayinla

Publish design branch

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
tidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
request_idobjectNo
versionobjectNo
is_paketiobjectNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/is-paketleri

Create work package

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
adobjectNo
notuobjectNo
baslangicobjectNo
bitisobjectNo
tasarim_idobjectNo
kapsamobjectNo

Responses

HTTP 201

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/is-paketleri

List work packages

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

GET /api/projects/{pid}/is-paketleri/{wid}

Get work package detail

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
widpathintegerYes

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

PATCH /api/projects/{pid}/is-paketleri/{wid}

Update work package

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
widpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
adobjectNo
notuobjectNo
baslangicobjectNo
bitisobjectNo
durumobjectNo
versionobjectNo

Responses

HTTP 200

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.

POST /api/projects/{pid}/is-paketleri/{wid}/asbuilt

Create as-built branch

Authentication: User session (cookie). Scope: Relevant organisation/project membership and operation permission; writes also check the current role, module and licence permissions.

Parameters

NameLocationTypeRequired
pidpathintegerYes
widpathintegerYes

Request body

application/json

FieldTypeRequiredDescription
adobjectNo
request_idobjectNo

Responses

HTTP 201

application/json

This OpenAPI document does not define a body schema. See the relevant developer guide for details.

HTTP 422

application/json

FieldTypeRequiredDescription
detailValidationError[]No

For error meanings and client actions, see the error code glossary.